# MSP::CCS::Eckert4 Class Reference

`#include <Eckert4.h>`

Inheritance diagram for MSP::CCS::Eckert4:

List of all members.

## Public Member Functions

| Eckert4 (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double falseEasting, double falseNorthing)
| Eckert4 (const Eckert4 &e)
| ~Eckert4 (void)
Eckert4 & | operator= (const Eckert4 &e)
MapProjection3Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 97 of file Eckert4.h.

## Constructor & Destructor Documentation

Eckert4::Eckert4 | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 125 of file Eckert4.cpp.

Eckert4::Eckert4 | ( | const Eckert4 & | e | ) |

Definition at line 208 of file Eckert4.cpp.

Eckert4::~Eckert4 | ( | void |  | ) |

Definition at line 226 of file Eckert4.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * Eckert4::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 274 of file Eckert4.cpp.

MSP::CCS::GeodeticCoordinates * Eckert4::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 346 of file Eckert4.cpp.

MapProjection3Parameters * Eckert4::getParameters | ( |  | ) | const

Definition at line 254 of file Eckert4.cpp.

Eckert4 & Eckert4::operator= | ( | const Eckert4 & | e | ) |

Definition at line 231 of file Eckert4.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/eckert4/Eckert4.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/eckert4/Eckert4.cpp